---
updatedAt: 2025-11-11T00:10:01.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Funds Transfer

This endpoint is provisioned for providers to use when they want to credit the user’s account for a specified amount.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/lending-service/api/v1/payments/transfer": {
      "post": {
        "summary": "Funds Transfer",
        "description": "This endpoint is provisioned for providers to use when they want to credit the user’s account for a specified amount.",
        "operationId": "funds-transfer",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiY2FyZGxlc3Mtc2VydmljZSIsImluY29nbml0byIsImlzdy1jb2xsZWN0aW9ucyIsImlzdy1jb3JlIiwiaXN3LWxlbmRpbmctc2VydmljZSIsImlzdy1wYXltZW50Z2F0ZXdheSIsInBhc3Nwb3J0IiwicGF5bWVudC1zZXJ2aWNlIiwicHJvamVjdC14LW1lcmNoYW50IiwidmF1bHQiXSwibWVyY2hhbnRfY29kZSI6Ik1YMTg3IiwicHJvZHVjdGlvbl9wYXltZW50X2NvZGUiOiIwMDE2NDYzOTg1NCIsInJlcXVlc3Rvcl9pZCI6IjAwMTE3NjE0OTkyIiwic2NvcGUiOlsicHJvZmlsZSJdLCJqdGkiOiIzNTFjNDQ5MS01YzcwLTRhOTEtODRiZS0zZjNjY2Q1YzE2Y2MiLCJwYXlhYmxlX2lkIjoiMjMyNCIsImNsaWVudF9pZCI6IklLSUE5NjE0QjgyMDY0RDYzMkU5QjY0MThERjM1OEE2QTRBRUE4NEQ3MjE4IiwicGF5bWVudF9jb2RlIjoiMDQyNTk0MTMwMjQ2In0.P2mUITLA2bsmMryCyuVwDXK-4ozcRYtEKIN1t-qRPZaUStKleLsgxQxJqXv0EZ0CIYbAECw28AeJmbiBtosVSQ824unhfYTyhRCAt1olO_pNwf6PPmMNVTUO5q7F1b3CQPKP5D3VmNMw3MrHUzTzLwqMMzTIAYWf3V-7TEuHBOVzTsOtmuV-j63qASkFGsn_3x-TwgPVeOZ-INnDtXnSCSwQKG10q0_QE7B-ke2v0Up0vxXJ4wTsX8qWm6sJ5Bn_GU260qNPnVCip93xhzAHv7e__ONfeTMdDVPypQ0lyKgcR0FcBrJqONz6yifuu2BfoGeDkXV1cyZFhZg_xwiFYw"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "customerId",
                  "amount",
                  "accountNumber",
                  "accountType",
                  "bankCode",
                  "transactionId"
                ],
                "properties": {
                  "customerId": {
                    "type": "string",
                    "description": "The Email or Mobile Number of the User to the credited. Max length: 50",
                    "default": "2348123456789"
                  },
                  "amount": {
                    "type": "integer",
                    "description": "The Amount to be credited to the user’s account (in minor).",
                    "default": 100000,
                    "format": "int64"
                  },
                  "currencyCode": {
                    "type": "string",
                    "description": "ISO 4217 standard currency code. Default to 566. Max length: 3",
                    "default": "566"
                  },
                  "accountNumber": {
                    "type": "string",
                    "description": "The NUBAN Account Number of the Beneficiary",
                    "default": "0724770668"
                  },
                  "accountType": {
                    "type": "string",
                    "description": "The Account Type of the Beneficiary Account. E.g 10",
                    "default": "10"
                  },
                  "bankCode": {
                    "type": "string",
                    "description": "The CBN Bank Code of the bank holding the Beneficiary account. E.g 058. Max length: 5",
                    "default": "044"
                  },
                  "transactionId": {
                    "type": "string",
                    "description": "The Client Transaction ID. This is the reference that the client will use to re-query for the transaction status in case of an unresolved state.",
                    "default": "145328747580025"
                  },
                  "qtTerminalId": {
                    "type": "string",
                    "description": "The quickteller terminal Id to be used for the transaction",
                    "default": "3PBL"
                  },
                  "loanId": {
                    "type": "string",
                    "description": "The loanId for a loan taking through Lending Service"
                  },
                  "loanReferenceId": {
                    "type": "string",
                    "description": "A unique identifier assigned to the loan taken through Lending Service. It should be the same loan reference id that was sent to the provider in the AcceptOffer request body"
                  },
                  "providerCode": {
                    "type": "string",
                    "default": "RPC"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"responseCode\" : \"00\",\n  \"responseMessage\" : \"Transaction Successful\",\n  \"transactionRef\" : \"UBN|WEB|ILS|20170501091282|01238797\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Transaction Successful"
                    },
                    "transactionRef": {
                      "type": "string",
                      "example": "UBN|WEB|ILS|20170501091282|01238797"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```